using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Data.OleDb;
using System.Data.SqlClient;
using System.Web.Configuration;

public partial class TestConnection : System.Web.UI.Page
{
   protected void Page_Load(object sender, EventArgs e)
   {
      //string connString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=";
      //connString += Server.MapPath("~/App_Data/BookCatalogSystem.mdb") + ";";

      //string connString = WebConfigurationManager.ConnectionStrings["Northwind"].ConnectionString;

      SqlConnectionStringBuilder builder = new SqlConnectionStringBuilder();
      builder.DataSource = "localhost";
      builder.InitialCatalog = "Northwind";
      builder.IntegratedSecurity = true;

      string connString = builder.ConnectionString;

      //OleDbConnection conn = null;
      SqlConnection conn = null;
      try
      {
         
         //conn = new OleDbConnection(connString);
         conn = new SqlConnection(connString);
         conn.Open();

         labMsg.Text = "State of Connection: " + conn.State;
      }
      catch (Exception ex)
      {
         labMsg.Text = "Error occurred accessing the database";
         labMsg.Text += "<br/>" + ex.Message;
      }
      finally
      {
         if (conn != null)
            conn.Close();
      }

   }
}
